(function() {
    tinymce.PluginManager.add('layouts_mce_button', function( editor, url ) {
        editor.addButton( 'layouts_mce_button', {
            title: 'Layouts',
            text: 'Layouts',
            type: 'menubutton',
            icon: 'false',
            menu: [
            	{
            		text: '12 columns',
            		value: '[twelve_columns] PLACE YOUR CONTENT HERE [/twelve_columns]',
					minWidth: 600,
					minHeight: 600
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '11 columns',
            		value: '[eleven_columns] PLACE YOUR CONTENT HERE [/eleven_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '10 columns',
            		value: '[ten_columns] PLACE YOUR CONTENT HERE [/ten_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '9 columns',
            		value: '[nine_columns] PLACE YOUR CONTENT HERE [/nine_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '8 columns',
            		value: '[eight_columns] PLACE YOUR CONTENT HERE [/eight_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '7 columns',
            		value: '[seven_columns] PLACE YOUR CONTENT HERE [/seven_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '7 columns',
            		value: '[seven_columns] PLACE YOUR CONTENT HERE [/seven_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '6 columns',
            		value: '[six_columns] PLACE YOUR CONTENT HERE [/six_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '5 columns',
            		value: '[five_columns] PLACE YOUR CONTENT HERE [/five_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '4 columns',
            		value: '[four_columns] PLACE YOUR CONTENT HERE [/four_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '3 columns',
            		value: '[three_columns] PLACE YOUR CONTENT HERE [/three_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '2 columns',
            		value: '[two_columns] PLACE YOUR CONTENT HERE [/two_columns]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: '1 column',
            		value: '[one_column] PLACE YOUR CONTENT HERE [/one_column]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				{
            		text: 'Clearing',
            		value: '[clearing][/clearing]',
            		onclick: function() {
            			editor.insertContent(this.value());
            		}
           		},
				
           ]
        });
    });
})();